#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#       untitled.py
#       
#       Copyright 2010 Frankie Chow <frankie@happysky>
#       
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#       
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#       
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

import data
import pyglet
import graphics2d

class cmd_buttom(object):
    def __init__(self, gw, x, y):
        self.x = x
        self.y = y
        self.gw = gw
        self.msg_label = pyglet.text.Label('',
          font_name='Free Serif', italic=True,
          font_size=14,
          color=(255,255,255,125))
          
        self.life_buttom_location = {
                'Book': {
                    'x':0,
                    'y':0
                    },
                'Eat': {
                    'x':55,
                    'y':0
                    },
                'Run': {
                    'x':110,
                    'y':0
                    },
                'Medica': {
                    'x':0,
                    'y':38
                    },
                'Sleep': {
                    'x':55,
                    'y':38
                    },
                'Drink': {
                    'x':110 ,
                    'y':38
                    }
            }
            
        self.image_mouse_l_press = pyglet.image.load(filename='mouse_l_press', file=data.load('mouse_active_point-sw.png'))
        self.status_img = self.image_mouse_l_press
        self.set_cmd_cursor()

    def draw(self):
        #self.buttom_group.draw()
        for k in self.gw.life:
            self.gw.life_img[k].blit(self.x + self.life_buttom_location[k]['x'], self.y + self.life_buttom_location[k]['y'])
        self.msg_label.draw()
     
    def check_button_chose(self):
        chose_item = False
        for k in self.gw.life:
            sx = self.life_buttom_location[k]['x'] + self.x
            hx = sx + self.gw.life_img[k].width
            sy = self.life_buttom_location[k]['y'] + self.y
            hy = sy + self.gw.life_img[k].height
            if sx < self.gw.mouse_px < hx and sy < self.gw.mouse_py < hy:
                chose_item = True
                self.status_img = self.gw.life_img[k]
                self.set_cmd_cursor()
                self.gw.status_key = k
        if not chose_item:
            #print 'I am here.'
            self.gw.status_key = "None"      
    
    def set_cmd_cursor(self):
        self.cmd_cursor = pyglet.window.ImageMouseCursor(self.status_img, 16, 8)
        self.gw.set_mouse_cursor(self.cmd_cursor)
        
def main():
    
    return 0

if __name__ == '__main__':
    main()
